import javax.swing.*;
import java.awt.Color;

/** Diese Klasse verwendet die SwingUhr, um die Uhrzeit
  * in Form eines Applets darzustellen.
  **/
public class UhrenApplet extends JApplet {
  
  /** Intern verwenden wir eine SwingUhr */
  private SwingUhr uhr;
  
  /** Init-Methode */
  public void init() {
    // Inistantiiere eine SwingUhr und mache
    // diese zum alleinigen Inhalt des Applet
    
    uhr = new SwingUhr();
    setContentPane(uhr);
    
    // Lese diverse Parameter ein und konfiguriere
    // die Uhr
    
    // 1. Analog oder Digital?
    String darstellung = getParameter("darstellung");
    if (darstellung != null && 
      darstellung.trim().toUpperCase().equals("DIGITAL"))
        uhr.setDigital();
    else
        uhr.setAnalog();
    // 2. Vordergrundfarbe?
    String vordergrund = getParameter("vordergrund");
    if (vordergrund != null)
      try {
        uhr.setForeground(Color.decode(vordergrund));
      }
      catch(Exception e) {
        e.printStackTrace();
      }
    // 3. Hintergrundfarbe?
    String hintergrund = getParameter("hintergrund");
    if (hintergrund != null)
      try {
        uhr.setBackground(Color.decode(hintergrund));
      }
      catch(Exception e) {
        e.printStackTrace();
      }    
  }
  
  /** Start-Methode */
  public void start() {
    uhr.aktivieren();
  }
  
  /** Stop-Methode */
  public void stop() {
    uhr.beenden();
  } 
}
