import java.net.*;
import java.io.*;
/** Diese Klasse steuert die zentrale Verwaltung der 
  * Serverkommunikation unseres JavaUhr Zeitservers
  **/
public class Zeitserver {
  /** Main-Methode: erzeugt einen Zeitserver auf dem
    * angegebenen Port.
    **/
  public static void main(String[] args) {
    System.out.println("JavaUhr Zeitserver Version 1.0");
    // Geh sicher, dass die Argumente stimmen
    int port = -1;
    if (args.length == 1) {
      try {
        port = Integer.parseInt(args[0]);
      }
      catch(NumberFormatException e) {
        System.out.println("Ungueltige Port-Nummer");
      }
    }
    if (port < 0) {
      System.out.println("Benutzung: java ZeitServer <portnummer>");
      System.exit(-1);
    }
    // Erzeuge den ServerSocket
    System.out.println("Erzeuge ServerSocket");
    ServerSocket s = null;
    try {
      s = new ServerSocket(port);
    }
    catch(IOException e) {
      System.out.println("Konnte Socket auf Port " + port 
        + " nicht oeffnen.");
      System.exit(-2);
    }
    // Und nun lauschen wir...
    try {    
      while(true) {
        new SocketKommunikation(s.accept()).start();
      }
    }
    catch(IOException e) {
      System.out.println("Es ist eine Exception aufgetreten.");
      e.printStackTrace();
    }
    // Bevor wir beenden, schliessen wir den Socket
    finally {
      try {
        s.close();
        System.exit(-3);
      }
      catch(IOException e) {
        e.printStackTrace();
        System.exit(-4);
      }
    }
  }  
}
