import java.util.Date;

/** Dieses Interface stellt das Zeitmessungsinstrument 
  * einer Uhr dar.
  **/
public interface Uhrwerk {

  /** Gibt die aktuelle Uhrzeit in Form eines Date-Objektes
    * zurueck.
    * @return die aktuelle Zeit
    **/
  public Date getZeit();

  /** Stellt das Werk dieser Uhr auf eine bestimmte Zeit.
    * Diese Methode ist optional und muss nicht immer 
    * implementiert sein.
    * @param zeit die aktuelle Uhrzeit
    * @exception UnsupportedOperationException falls diese Methode
    *  nicht unterstuetzt wird
    **/
  public void setZeit(Date zeit) throws UnsupportedOperationException;
}
