import java.util.Date;

/** Diese Implementierung des Uhrwerk-Interfaces erhaelt ihre
  * Zeitinformationen von der lokalen Uhr des Computers.
  * Entsprechend ist es auch nicht moeglich, die Zeit dieses
  * Uhrwerks vor- oder zurueckzustellen.
  **/
public class Systemzeit implements Uhrwerk {

  /** Gibt die aktuelle Uhrzeit in Form eines Date-Objektes
    * zurueck.
    * @return die aktuelle Zeit
    **/
  public Date getZeit() {
    return new Date();
  }
  
  /** Stellt das Werk dieser Uhr auf eine bestimmte Zeit.
    * Diese Methode ist optional und muss nicht immer 
    * implementiert sein.
    * @param zeit die aktuelle Uhrzeit
    * @exception UnsupportedOperationException falls diese Methode
    *  nicht unterstuetzt wird
    **/
  public void setZeit(Date zeit) throws UnsupportedOperationException {
    throw new UnsupportedOperationException();
  }

}
