import java.text.SimpleDateFormat;

/** Diese Klasse realisiert die Darstellung der
  * Uhrzeit auf dem Konsolenfenster.
  **/
public class KonsolenAnzeige implements Anzeige {
  
  /** Dieses Format-Objekt wird fuer die textuelle Darstellung
    * der Uhrzeit verwendet.
    **/
  private static SimpleDateFormat FORMAT = new SimpleDateFormat
    ("'Es ist gerade' HH:mm 'Uhr und' ss 'Sekunden.'");
  
  /** Dieses Uhrwerk wird fuer die Zeitdarstellung verwendet. */
  private Uhrwerk uhrwerk;
  
  /** Nennt der Anzeige das Uhrwerk, das verwendet werden
    * soll.
    * @param uhr das zu verwendende Uhrwerk
    **/
  public void setUhrwerk(Uhrwerk uhr) {
    uhrwerk = uhr;
  }
  
  /** Weist die Anzeige an, die aktuelle Uhrzeit aus dem
    * Uhrwerk auszulesen und darzustellen.
    **/
  public void zeigeZeit() {
    System.out.println(FORMAT.format(uhrwerk.getZeit()));
  }
  
}
