import java.text.DecimalFormat;

/** Diese Klasse repraesentiert eine einzelne Scheibe,
  * die waehrend des Tuerme-von-Hanoi-Spieles hin- und
  * hergeschoben wird. 
  **/
public class Scheibe {
  
  /** Formatierungs-Objekt fuer die Breite */
  private final static DecimalFormat FORMAT = new DecimalFormat("00");
  
  /** Wie breit ist die Scheibe ? */
  private int breite;
  
  /** Konstruktor.
    * @param breite die Breite der Scheibe.
    **/
  public Scheibe(int breite) {
    this.breite = breite;
  }
  
  /** Liefert die Breite der Scheibe zurueck 
    * @return die Breite der Scheibe
    **/
  public int getBreite() {
    return breite;
  }  
  /** Gibt eine String-Repraesentation des Objektes zurueck.
    * @return eine textuelle Darstellung der Stange
    **/
  public String toString() {
    return "(" + FORMAT.format(breite) + ")";
  }
}
