import javax.swing.JLabel;
import java.awt.Font;
import java.awt.Color;
import java.text.SimpleDateFormat;

/** Digitalanzeige: Stellt die Uhrzeit in Form einer digitalen
  * Anzeige dar.
  **/
public class DigitalAnzeige extends JLabel implements Anzeige {
  
  /** Dieses Format-Objekt wird fuer die textuelle Darstellung
    * der Uhrzeit verwendet.
    **/
  private static SimpleDateFormat FORMAT = new SimpleDateFormat
    ("HH:mm:ss");
  
  /** Dieses Uhrwerk wird fuer die Zeitdarstellung verwendet. */
  private Uhrwerk uhrwerk;
  
  /** Konstruktor */
  public DigitalAnzeige()
  {
    // Setze einen Standard-Text fuer das Label
    setFont(new Font("Monospaced",Font.BOLD,30));
    setText("00:00:00");
    // Veraendere das Aussehen 
    setOpaque(true);
    setBackground(Color.BLACK);
    setForeground(Color.GREEN);
  }
  
  /** Nennt der Anzeige das Uhrwerk, das verwendet werden
    * soll.
    * @param uhr das zu verwendende Uhrwerk
    **/
  public void setUhrwerk(Uhrwerk uhr) {
    uhrwerk = uhr;
  }
  
  /** Weist die Anzeige an, die aktuelle Uhrzeit aus dem
    * Uhrwerk auszulesen und darzustellen.
    **/
  public void zeigeZeit() {
    setText(FORMAT.format(uhrwerk.getZeit()));
  }  
  
}
